# size: 180 180
defineInterface(
    Slider(name='ovalTendency',  
           default=0.5),
    Slider(name='gridSize',
           minValue=20, maxValue=40, 
           tickMarks=20, clamp=True),
)
w, h = 180, 180

def biggestFit(num, divisor):
    return divisor * (num // divisor)

gridSize = int(gridSize)
for i in range(0, biggestFit(w,gridSize), gridSize):
    for j in range(0, biggestFit(h,gridSize), gridSize):
        c = Color(random(), 0.0, 0.5)
        c.set()
        if random() > ovalTendency:
            r = Rect(i, j, gridSize, gridSize)
        else:
            r = Oval(i, j, gridSize, gridSize)
        r.fill()