# size: 200 200
# (The above comment sets the canvas size)

r = Rect(10, 10, 50, 100)  # (x, y, width, height)
r.fill()  # fill the rectangle using the current color

c = Color(1, 0.5, 0)  # create a color
c.set()  # make this color the current color

r.setlinewidth(4)  # specify a line width
r.stroke()  # stroke the rectangle using the current color

o = Oval(10, 120, 100, 50)
o.fill()

c = Color(0.2, 0.5, 0.75)
c.set()

p = BezierPath()  # create a new path
p.moveto(70, 10)  # move the "pen" to (70, 10)
p.lineto(70, 100)  # draw a line to (70, 100)
p.lineto(170, 100)
p.curveto(170, 40, 150, 10, 60, 10)  # draw a curve
p.closepath()
p.fill()

# Make a transparent color:
c = Color(1, 0, 0, 0.5)
c.set()
r = Rect(90, 30, 90, 80)
r.fill()
