# size: 300 300
defineInterface(
    Slider(name='numSegments', maxValue=100, tickMarks=100, 
           default=20, clamp=True),
    Checkbox(name='fillPath', default=True),
    ColorWell(name='fillColor', default=(0.5, 0.5, 1)),
    ColorWell(name='outlineColor', default='black'),
)

MAX = 300

def number():
    return MAX * random()

p = BezierPath()
p.moveto(number(), number())
for i in range(int(numSegments)):
    p.lineto(number(), number())
p.closepath()

if fillPath:
    fillColor.set()
    p.fill()

outlineColor.set()
p.stroke()