# size: 400 400

from math import *

NPOINTS = 12

# center point:
X = 200
Y = 200
# outer radius:
OUTER = 180
# inner radius:
INNER = 90

# create a new path
p = BezierPath()
# move the pen to the initial position
p.moveto(X, Y + OUTER)

for i in range(1, int(2 * NPOINTS)):
    angle = i * pi / NPOINTS
    x = sin(angle)
    y = cos(angle)
    if i % 2:
        radius = INNER
    else:
        radius = OUTER
    x = X + radius * x
    y = Y + radius * y
    p.lineto(x, y)

p.fill()
