# ---------------

# a "comment" starts with a # character

# working with variables:
a = 12
b = a + 1
print b

# ---------------

# strings:
name = "david"
print name

# ---------------

# create a rectangle:
# r = Rect(x, y, width, height)
r = Rect(50, 50, 100, 200)
# draw it to the screen
r.fill()

# ---------------

# create a color
# c = Color(Red, Green, Blue)
# the numbers have to be between 0 and 1
c = Color(1, 0.5, 0)
# tell the system to use this color from now on
c.set()

# draw a rect
r = Rect(50, 50, 100, 200)
r.fill()

# ---------------

# draw an oval, almost the same as a rectangle:
myOval = Oval(30, 30, 200, 300)
myOval.fill()

# ---------------

# stroke a shape, specifing a line width
r= Oval(40,40,150,151)
r.setlinewidth(20)
r.stroke( )

# -----------------
# a randomly sized rectangle
width = random() * 500
height = random() * 500
r = Rect(50, 50, width, height)
r.fill()

# ---------------

# a randomly sized and colored rectangle
width = random() * 500
height = random() * 500
c = Color(random(), random(), 1)
c.set()
r = Rect(50, 50, width, height)
r.fill()

# ---------------

# A more complex shape
p = BezierPath()
p.moveto(10, 20)
p.lineto(100, 300)
p.lineto(200, 200)
p.lineto(300, 200)
p.lineto(100, 10)
p.closepath()
p.fill()

# ---------------

# An random shape
p = BezierPath()
x = random() * 500
y = random() * 500
p.moveto(x, y)
for i in range (100):
    x = random() * 500
    y = random() * 500
    p.lineto(x, y)

p.closepath()
p.fill()

# ---------------

# Use transparancy, Color() takes a fourth number,
# which is the transparency
c = Color(1, 0, 0, 0.5)
c.set()
o = Oval(10, 10, 180, 280)
o.fill()
o = Oval(50, 50, 180, 280)
o.fill()

# ---------------

width = 300
height = 350
o = Oval(10, 10, width - 20, height - 20)
o.fill()
o = Oval(5, 5, width - 10, height - 10)
o.stroke()

# ---------------
